# Uses of Class
org.eclipse.ant.core.Task

Packages that use Task
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.

## Uses of Task in org.eclipse.ant.core

Methods in org.eclipse.ant.core that return Task
Modifier and Type
Method
Description
`protected Task[]`
AntCorePreferences.`extractTasks(Preferences prefs, String[] tasks)`
`Task[]`
AntCorePreferences.`getCustomTasks()`
Returns the user defined custom tasks
Methods in org.eclipse.ant.core that return types with arguments of type Task
Modifier and Type
Method
Description
`protected List<Task>`
AntCorePreferences.`computeDefaultTasks(List<IConfigurationElement> tasks)`
Returns the complete list of pre-configured `Task`s
`List<Task>`
AntCorePreferences.`getDefaultTasks()`
Returns the default tasks defined via the task extension point
`List<Task>`
AntCorePreferences.`getRemoteTasks()`
Returns the default and custom tasks that are relevant when there is no Eclipse runtime context (an Ant build in a separate VM).
`List<Task>`
AntCorePreferences.`getTasks()`
Returns the default and custom tasks.
Methods in org.eclipse.ant.core with parameters of type Task
Modifier and Type
Method
Description
`void`
AntCorePreferences.`setCustomTasks(Task[] tasks)`
Sets the user defined custom tasks.